Skip to main content
GET
/
v1
/
pay
/
address
/
query
Query Order
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/address/query \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "prepayId": "1661239048576446",
  "merchantId": 10002,
  "merchantTradeNo": "43959345943769874395",
  "transactionId": "347827943294834379",
  "goodsName": "abc",
  "fromAddress": "",
  "currency": "BTC",
  "orderAmount": "9.88",
  "payCurrency": "USDT",
  "payAmount": "197600",
  "surchargeAmount": "",
  "fiatCurrency": "",
  "fiatAmount": "",
  "fiatRate": "",
  "rate": "20000",
  "status": "PENDING",
  "createTime": 1663657128148,
  "expireTime": 1664089128000,
  "transactTime": 1663829928000,
  "order_name": "orderName",
  "transaction_info": {
    "done_amount": "10.11",
    "done_amount_total": "10.11",
    "confirming_list": [
      {
        "amount": "0.35",
        "confirm": 3
      },
      {
        "amount": "0.65",
        "confirm": 4
      }
    ],
    "done_tx_item_list": [
      {
        "chain": "BSC",
        "address": "0x5E86088F084dD253fBd6d5ad955af6f53EFC8073",
        "fullCurrType": "USDT_BSC",
        "amount": "10.11",
        "txId": "D1758212402891",
        "utcCreateTime": "2025-09-18 08:20:03",
        "utcUpdateTime": "2025-09-18 08:20:03",
        "fromAddress": "LHDwcMPVPXXvrmSlRVeEcxsLUCvtThHLa"
      }
    ],
    "confirming_tx_item_list": [
      {
        "chain": "BSC",
        "address": "0x5E86088F084dD253fBd6d5ad955af6f53EFC8022",
        "fullCurrType": "USDT_BSC",
        "amount": "10.11",
        "txId": "D1758212402811",
        "utcCreateTime": "2025-09-18 08:20:03",
        "utcUpdateTime": "2025-09-18 08:20:03",
        "fromAddress": "LHDwcMPVPXXvrmSlRVeEcxsLUCvtThHLa"
      }
    ]
  },
  "channelId": "123456",
  "chain": "ETN",
  "address": "0x67C30f439D7734f393c2F4a587B198b8F4086Ccb"
}
API description:Check the details of the new address payment order, the specified parameters must correspond to the address payment order, otherwise an error message will be returned.

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform

X-GatePay-Signature
string
required

HMAC-SHA256 signature for request validation

X-GatePay-Timestamp
string
required

Timestamp in milliseconds, must not differ from server time by more than 5 minutes

X-GatePay-Nonce
string
required

Random nonce for replay attack prevention

Query Parameters

prepayId
string
required

Prepay order ID for address payment

merchantTradeNo
string
required

Merchant system transaction number

Response

200 - application/json

SUCCESS

Response parameters

prepayId
string

Payment order ID

merchantId
integer<int64>

Gate UID used to apply for a merchant account

merchantTradeNo
string

Merchant system transaction number

transactionId
string

Transaction ID

goodsName
string

Product name provided by the merchant when creating the order

currency
string

Currency of the order

orderAmount
string

Amount of the order

surchargeAmount
string

Amount of the surcharge

toleranceAmount
string

Tolerance Amount:If the remaining unpaid amount is less than or equal to the configured tolerance amount, the order will be automatically marked as Paid, with no further payment required.

underpaidAmount
string

After payment is completed, the remaining payment amount

fiatCurrency
string

Fiat order currency.

fiatAmount
string

Fiat order amount.

fiatRate
string

Fiat rate.

payCurrency
string

Currency that the user actually paid, which is the same as the order currency in non-flash payment orders

payAmount
string

Amount that the user should pay

rate
string

Exchange rate between the order currency and the user's payment currency, for example, 1 BTC for 20,000 USDT

status
string

Order status, PENDING for processing, PROCESS for payment enough but not yet confirmed on the blockchain within the order validity period, PAID for payment success, EXPIRED for order expired

createTime
integer<int64>

Order creation time

expireTime
integer<int64>

Order expiration time

transactTime
integer<int64>

Time when the order was traded within Gate

order_name
string

Order name

transaction_info
object
channelId
string

Client Name

chain
string

Network name

address
string

Collection address

fromAddress
string

The from address